Ubuntu

X freeze, nvidia-current, Ubuntu 11.04 Maverick GeForce 9600GT

Reported by Anoop Karollil on 2011-03-11
138
This bug affects 26 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: xorg

I don't know if its only X and I didn't try SSHing in. But found an X freeze backtrace (attached) in syslog. I don't know what triggers it, but it did happen twice during normal use and thrice over night. Tried the latest nvidia driver from nvidia.com. This happened then too. Uninstalled and re-installed from nvidia-current package. This trace is when using Ubuntu nvidia-current package. It might be that this is happening after I upgraded the Ubuntu Linux kernel package. UPDATE: This happens with 2.6.35-25-generic-pae too.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: xorg 1:7.5+6ubuntu3
ProcVersionSignature: Ubuntu 2.6.35-27.48-generic-pae 2.6.35.11
Uname: Linux 2.6.35-27-generic-pae i686
NonfreeKernelModules: nvidia
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 260.19.06 Mon Sep 13 06:35:06 PDT 2010
 GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
Architecture: i386
Date: Fri Mar 11 08:39:50 2011
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
Lsusb:
 Bus 002 Device 003: ID 1a7c:0068
 Bus 002 Device 002: ID 046d:c312 Logitech, Inc. DeLuxe 250 Keyboard
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: System manufacturer System Product Name
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-27-generic-pae root=UUID=f5d7dcfe-6f71-4011-a59e-7737574d9f51 ro quiet splash
ProcEnviron:
 LANGUAGE=en_GB:en_CA:en
 PATH=(custom, no user)
 LANG=en_CA.utf8
 SHELL=/bin/bash
SourcePackage: xorg
dmi.bios.date: 11/25/2005
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: ASUS A8N-E ACPI BIOS Revision 1010
dmi.board.name: A8N-E
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: 2.XX
dmi.chassis.asset.tag: 123456789000
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvrASUSA8N-EACPIBIOSRevision1010:bd11/25/2005:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnA8N-E:rvr2.XX:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
glxinfo: Error: [Errno 2] No such file or directory
system:
 distro: Ubuntu
 codename: maverick
 architecture: i686
 kernel: 2.6.35-27-generic-pae
---
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 270.41.06 Mon Apr 18 14:54:25 PDT 2011
 GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu4)
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: compiz
DistUpgraded: Log time: 2011-04-28 09:15:07.613780
DistroCodename: natty
DistroRelease: Ubuntu 11.04
DistroVariant: ubuntu
GraphicsCard:
 nVidia Corporation G94 [GeForce 9600 GT] [10de:0622] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:82a2]
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
JockeyStatus:
 xorg:nvidia_173 - NVIDIA accelerated graphics driver (Proprietary, Disabled, Not in use)
 xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, Not in use)
Lsusb:
 Bus 002 Device 003: ID 1a7c:0068
 Bus 002 Device 002: ID 046d:c312 Logitech, Inc. DeLuxe 250 Keyboard
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: System manufacturer System Product Name
NonfreeKernelModules: nvidia
Package: nvidia-graphics-drivers (not installed)
ProcEnviron:
 LANGUAGE=en_CA:en
 LANG=en_CA.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic-pae root=UUID=f5d7dcfe-6f71-4011-a59e-7737574d9f51 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
Renderer: Unknown
Tags: natty running-unity possible-manual-nvidia-install ubuntu compiz-0.9
Uname: Linux 2.6.38-8-generic-pae i686
UpgradeStatus: Upgraded to natty on 2011-04-28 (0 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare vboxusers
dmi.bios.date: 11/25/2005
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: ASUS A8N-E ACPI BIOS Revision 1010
dmi.board.name: A8N-E
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: 2.XX
dmi.chassis.asset.tag: 123456789000
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvrASUSA8N-EACPIBIOSRevision1010:bd11/25/2005:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnA8N-E:rvr2.XX:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.compiz: compiz 1:0.9.4+bzr20110415-0ubuntu2
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2-0ubuntu2
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu7
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

Anoop Karollil (anoop-karollil) wrote :
summary: - X freezes and doesn't recover
+ X freeze, nvidia-current, Ubuntu 10.10
summary: - X freeze, nvidia-current, Ubuntu 10.10
+ X freeze, nvidia-current, Ubuntu 10.10 Maverick
description: updated

Syslog X freeze trace

description: updated
description: updated
Anoop Karollil (anoop-karollil) wrote :

Found this trace in kern.log. It should be when I switched to the latest nvidia driver (NVIDIA-Linux-x86-260.19.44.run) from nvidia.com to see if that works.

bugbot (bugbot) on 2011-03-12
affects: xorg (Ubuntu) → nvidia-graphics-drivers (Ubuntu)
Anoop Karollil (anoop-karollil) wrote :

I switched back to the older kernel - 2.6.35-25-generic-pae and the issue hasn't happened since. So the problem seems to be related to 2.6.35-27-generic-pae

summary: - X freeze, nvidia-current, Ubuntu 10.10 Maverick
+ X freeze, nvidia-current, Ubuntu 10.10 Maverick 2.6.35-27-generic-pae
description: updated
Anoop Karollil (anoop-karollil) wrote :

Oops, it just happened with 2.6.35-25 too. I don't see a stack trace in any of the logs. The only thing interesting around then seems to be:

Mar 15 10:15:32 anoop-desktop kernel: [328113.014696] NVRM: Xid (0001:00): 51

summary: - X freeze, nvidia-current, Ubuntu 10.10 Maverick 2.6.35-27-generic-pae
+ X freeze, nvidia-current, Ubuntu 10.10 Maverick
description: updated
Anoop Karollil (anoop-karollil) wrote :

Happened again. This time:

Mar 15 11:28:37 anoop-desktop kernel: [ 3533.026210] NVRM: Xid (0001:00): 51
Mar 15 11:28:46 anoop-desktop kernel: [ 3542.028251] NVRM: Xid (0001:00): 16, Head 00000000 Count 0000000a
Mar 15 11:28:46 anoop-desktop kernel: [ 3542.028362] NVRM: Xid (0001:00): 16, Head 00000001 Count 0000000a
Mar 15 11:28:51 anoop-desktop kernel: [ 3547.028322] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
Mar 15 11:28:51 anoop-desktop kernel: [ 3547.028433] NVRM: Xid (0001:00): 8, Channel 0000007f

Anoop Karollil (anoop-karollil) wrote :

Disabling compiz after reading this: http://www.nvnews.net/vbulletin/showthread.php?t=157041

Disabled by: Ubuntu Menu-> System->Preferences->Appearance->Visual Effects and setting to None.

Fingers crossed.

Anoop Karollil (anoop-karollil) wrote :

Disabling compiz does seem to make the problem go away.

summary: - X freeze, nvidia-current, Ubuntu 10.10 Maverick
+ X freeze with compiz, nvidia-current, Ubuntu 10.10 Maverick

Damn it! It happened again. Disabling compiz doesn't help either. Does anybody have any idea? The logs are empty except for the NVRM: Xid message that I posted before.

summary: - X freeze with compiz, nvidia-current, Ubuntu 10.10 Maverick
+ X freeze, nvidia-current, Ubuntu 10.10 Maverick

Disabling compiz does make the freeze occurrence less frequent.

Hasn't happened since last update.

Happened again. Do have the stack trace this time.

Elennare (elennare) wrote :

I've the same problem. I'm using Ubuntu Maverick with 2.6.35-23-generic-pae kernel in a i686 GNU/Linux system.
My nvidia driver version is 270.29

kern.log:
Apr 9 18:41:32 vainamoinen kernel: [28239.152060] NVRM: Xid (0000:01:00): 8, Channel 00000001
Apr 9 18:41:34 vainamoinen kernel: [28241.152106] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
Apr 9 18:41:45 vainamoinen kernel: [28252.156050] NVRM: Xid (0000:01:00): 8, Channel 00000009
Apr 9 18:41:47 vainamoinen kernel: [28254.156016] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context

Elennare (elennare) wrote :

New crash, "new message"

Apr 9 20:47:23 vainamoinen kernel: [ 7510.460764] NVRM: Xid (0000:01:00): 13, 0001 00000000 00005097 000015e0 00000000 00000080

Happened again. Ditto stack trace as uploaded. Will upload again anyway.

Josef Wells (josefwells) wrote :

I was getting this like crazy with 2.6.35-28 and 2.6.35-26, about every hour, nvidia 270.*

I switched back to 2.6.35-24 and nvidia 260.* and it stopped. I'm going to try going back to nvidia 270.* when I get a chance, but this seemed to fix it for me.

I no longer see this at all in dmesg:
NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context

nvidia 270.*? I thought the latest was 260.19.*? I just got hit by it again. I will try rolling back to 2.6.35-24. I am using 260.19.06-0ubuntu1 for graphics.

Nope, roll back to 2.6.35-24 made it worse. Possibly because I had to re-install 260.19.06-0ubuntu1 and that seem to reset something. I am now running 2.6.35-28-generic-pae.

I switched to the open source 'nv' driver present by default (by manually editing xorg.conf). I don't need fancy graphics. All I need is a dual monitor setup and I got that working through the generic System->Preferences-Monitors configuration utility. It detected the monitors just fine and let me choose a dual monitor configuration. Pretty neat. I wish the nvidia-current driver was better. Attached is my xorg.conf for anybody who faces this problem and just needs basic graphics via 'nv'.

summary: - X freeze, nvidia-current, Ubuntu 10.10 Maverick
+ X freeze, nvidia-current, Ubuntu 10.10 Maverick GeForce 9600GT

I have this problem too.It may be related to vdpau,as flash 10.2 can make use of it,and can cause this happen quite predictably(possibly mplayer with vdpau or vaapi-vdpau driver can as well,not sure though).Were You running any apps that use vdpau(including flash 10.2)?also if nouveau is available maybe use that instead of nv(Im not on ubuntu so I'm not sure its there,but I believe so.)nv is being phased out if I'm not mistaken,and nouveau may run smoother as well.

bugbot (bugbot) wrote :

Hey Anoop,

Hi, have you had a chance to test if this bug is still present in natty?

If it does (and if you're the original reporter), please boot into natty
and run the command:

  apport-collect <bug-number>

which will update the bug with fresh logs and tag the bug as affecting
natty. (It is best to run this right after reproducing the problem.)

Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Incomplete

Running 11.04 now with nvidia-current (270.41.06-0ubuntu1), xserver-org (1:7.6+4ubuntu3) and linux 2.6.38-8-generic-pae. Will post if things happen again.

apport information

tags: added: apport-collected compiz-0.9 natty running-unity ubuntu
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

So ran into the problem again. Uninstalled nvidia-current and nvidia-settings. Back to the same work around as described in comment #19. And nv isn't open, its proprietary. But is stable. I am not going to try nouveau as it still doesn't support 3D fully and I am just fine with 2D, which nv provides.

Maybe this problem is because I had installed nvidia drivers manually. Maybe a fresh install of 11.04 will make the problem go away. But I don't have the motivation to do that and am happy with nv.

Natty stack trace

So nv somehow makes Alt-Tabbing very slow (tried workarounds for that problem unsuccessfully). I am now back on nvidia, through nvidia-current but using a PPA: https://launchpad.net/~ubuntu-x-swat/+archive/x-updates

Now running 270.41.19-0ubuntu1~xup~natty

Hasn't frozen since a few days.

Nope, still happens.

Thank you fninja, I somehow missed your post. I posted about this bug on http://www.nvnews.net/vbulletin/showthread.php?t=161586

I just swapped out my Logitech USB keyboard for a Dell PS/2 one. And then if that doesn't work I will try blacklisting asus_atk0110.

And I don't have any *vdpau* packages installed.

Download full text (7.1 KiB)

It looks like its definetely and Xorg issue,as it affects all video drivers
and all input drivers(I confirmed evdev mouse kbd synaptics,etc.).The mi
Event queue is somehow getting left behind due to some other activity in
xorg and comes up stuffed,it looks like something breaks/crashes in it after
it overflows as even if I let it finsh catching up(and close all processes
that potentially caused it),it will immediately overflow again.Where are the
devs who would be familiar with these components?

On Fri, Jun 10, 2011 at 11:15 AM, Anoop Karollil
<email address hidden>wrote:

> And I don't have any *vdpau* packages installed.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/733374
>
> Title:
> X freeze, nvidia-current, Ubuntu 10.10 Maverick GeForce 9600GT
>
> Status in “nvidia-graphics-drivers” package in Ubuntu:
> Incomplete
>
> Bug description:
> Binary package hint: xorg
>
> I don't know if its only X and I didn't try SSHing in. But found an X
> freeze backtrace (attached) in syslog. I don't know what triggers it,
> but it did happen twice during normal use and thrice over night. Tried
> the latest nvidia driver from nvidia.com. This happened then too.
> Uninstalled and re-installed from nvidia-current package. This trace
> is when using Ubuntu nvidia-current package. It might be that this is
> happening after I upgraded the Ubuntu Linux kernel package. UPDATE:
> This happens with 2.6.35-25-generic-pae too.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: xorg 1:7.5+6ubuntu3
> ProcVersionSignature: Ubuntu 2.6.35-27.48-generic-pae 2.6.35.11
> Uname: Linux 2.6.35-27-generic-pae i686
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86 Kernel Module 260.19.06 Mon Sep 13
> 06:35:06 PDT 2010
> GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
> Architecture: i386
> Date: Fri Mar 11 08:39:50 2011
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
> Lsusb:
> Bus 002 Device 003: ID 1a7c:0068
> Bus 002 Device 002: ID 046d:c312 Logitech, Inc. DeLuxe 250 Keyboard
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: System manufacturer System Product Name
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-27-generic-pae
> root=UUID=f5d7dcfe-6f71-4011-a59e-7737574d9f51 ro quiet splash
> ProcEnviron:
> LANGUAGE=en_GB:en_CA:en
> PATH=(custom, no user)
> LANG=en_CA.utf8
> SHELL=/bin/bash
> SourcePackage: xorg
> dmi.bios.date: 11/25/2005
> dmi.bios.vendor: Phoenix Technologies, LTD
> dmi.bios.version: ASUS A8N-E ACPI BIOS Revision 1010
> dmi.board.name: A8N-E
> dmi.board.vendor: ASUSTeK Computer INC.
> dmi.board.version: 2.XX
> dmi.chassis.asset.tag: 123456789000
> dmi.chassis.type: 3
> dmi.chassis.vendor: Chassis Manufacture
> dmi.chassis.version: Chassis Version
> dmi.modalias:
> dmi:bvnPhoenixTechnologies,LTD:bvrASUSA8N-EACPIBIOSRevision1010:bd11/25/2005:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnA...

Read more...

I too am having a recurrent freeze on my machine. It happens the more often when I switch applications using ALT + Tab. Here is an excerpt of my kern.log, fetched via SSH after the crash.

Jun 20 14:12:38 hal9000 kernel: [ 1914.938570] NVRM: Xid (0000:01:00): 13, 0003 00000000 00008297 00000f10 41c00000 00000040
Jun 20 14:12:46 hal9000 kernel: [ 1923.221644] NVRM: Xid (0000:01:00): 13, 0003 00000000 00008297 00001458 00000006 00000140

If necessary I can push other log files in my system.

I haven't had trouble after I swapped my Logitech USB keyboard with a Dell PS/2 one. But then I have had days without problems before. Alt-Tab might be again keyboard related? I don't know. But yes, if you have a Logitech USB keyboard, you might want to try swapping it for something else.

Fred Rocha (john-fisherman) wrote :

The issue is not keyboard related, I would risk saying. The freeze does not happen exclusively on app switch, it's just an easy way of triggering it. A much better guess is the graphics card.

Inspired by a lost post on Ubuntu freezes, I installed the latest Nvidia drivers, 275.

https://launchpad.net/ubuntu/oneiric/+source/nvidia-graphics-drivers/275.09.07-0ubuntu2

So far, so good.

Yes, indeed, it doesn't seem to be keyboard related - my system froze after I swapped the keyboards (new log attached). Its my work PC and it seems to happen over weekends during long periods of inactivity. But it has happened during 'office' hours too. I guess I will try the driver from Oneric.

summary: - X freeze, nvidia-current, Ubuntu 10.10 Maverick GeForce 9600GT
+ X freeze, nvidia-current, Ubuntu 11.04 Maverick GeForce 9600GT
summary: - X freeze, nvidia-current, Ubuntu 11.04 Maverick GeForce 9600GT
+ X freeze, nvidia-current, Ubuntu 11.04 Lucid GeForce 9600GT
summary: - X freeze, nvidia-current, Ubuntu 11.04 Lucid GeForce 9600GT
+ X freeze, nvidia-current, Ubuntu 10.10 Maverick GeForce 9600GT

Maybe I should file this under 11.04 bugs too.

Or maybe the bugbot did the needful and this somehow links to 11.04 too. Anyway, I am running 275.09.07-0ubuntu2 now (thanks Fred), xserver-xorg version 1:7.6+4ubuntu3.1 ( and other latest Natty packages). Will see how the 275 nvidia driver goes.

Froze again. This time with twinkling caps and scroll lock indicator lights. The only relevant message in syslog seems to be:

Jul 19 08:04:00 anoop-desktop kernel: [428759.992052] NVRM: GPU at 0000:01:00.0 has fallen off the bus.

This is using nvidia-current (275.09.07-0ubuntu2) from Oneric.

I did ignore an update from Ubuntu-X (https://launchpad.net/~ubuntu-x-swat/+archive/x-updates) which has a newer version

So I am going to try that now.

275.19-0ubuntu1~natty~xup1 also causes a freeze (its not a full freeze though - pressing numlock results in a delayed (5 seconds) response. Relevant syslog messages:

Jul 20 08:17:01 anoop-desktop CRON[14322]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Jul 20 08:51:12 anoop-desktop kernel: [82433.908058] NVRM: GPU at 0000:01:00.0 has fallen off the bus.
Jul 20 08:51:14 anoop-desktop kernel: [82435.928038] hrtimer: interrupt took 21231 ns
Jul 20 08:51:20 anoop-desktop kernel: [82441.908053] NVRM: Xid (0000:01:00): 16, Head 00000000 Count 0095eb82
Jul 20 08:51:20 anoop-desktop kernel: [82441.908104] NVRM: Xid (0000:01:00): 16, Head 00000001 Count 0095eb82
Jul 20 08:51:24 anoop-desktop kernel: [82445.908110] NVRM: Xid (0000:01:00): 8, Channel 0000007f
Jul 20 08:51:28 anoop-desktop kernel: [82449.908058] NVRM: Xid (0000:01:00): 16, Head 00000000 Count 0095eb83
Jul 20 08:51:28 anoop-desktop kernel: [82449.908101] NVRM: Xid (0000:01:00): 16, Head 00000001 Count 0095eb83
Jul 20 08:51:33 anoop-desktop kernel: [82454.908109] NVRM: Xid (0000:01:00): 8, Channel 0000007f
Jul 20 08:51:36 anoop-desktop kernel: [82457.908053] NVRM: Xid (0000:01:00): 16, Head 00000000 Count 0095eb84
Jul 20 08:51:36 anoop-desktop kernel: [82457.908096] NVRM: Xid (0000:01:00): 16, Head 00000001 Count 0095eb84

This happened immediately after I pressed numlock to see the login screen the beginning of work just now.

And again. Like I said before, happens when there is a long period of inactivity (over the weekend):

Jul 25 06:44:16 anoop-desktop kernel: [411342.336058] NVRM: GPU at 0000:01:00.0 has fallen off the bus.
Jul 25 06:44:24 anoop-desktop kernel: [411350.336031] NVRM: Xid (0000:01:00): 16, Head 00000000 Count 02a9f45e
Jul 25 06:44:24 anoop-desktop kernel: [411350.336083] NVRM: Xid (0000:01:00): 16, Head 00000001 Count 02a9f45e
Jul 25 06:44:29 anoop-desktop kernel: [411355.336109] NVRM: Xid (0000:01:00): 8, Channel 0000007f
Jul 25 06:44:32 anoop-desktop kernel: [411358.336054] NVRM: Xid (0000:01:00): 16, Head 00000000 Count 02a9f45f
Jul 25 06:44:32 anoop-desktop kernel: [411358.336098] NVRM: Xid (0000:01:00): 16, Head 00000001 Count 02a9f45f
Jul 25 06:44:38 anoop-desktop kernel: [411364.336083] NVRM: Xid (0000:01:00): 8, Channel 0000007f
Jul 25 06:44:40 anoop-desktop kernel: [411366.336026] NVRM: Xid (0000:01:00): 16, Head 00000000 Count 02a9f460
Jul 25 06:44:40 anoop-desktop kernel: [411366.336061] NVRM: Xid (0000:01:00): 16, Head 00000001 Count 02a9f460

Switched to the nouveau drivers. No Unity (there apparently is an experimental dri package libgl1-mesa-dri-experimental that you can install to get 3D support - but I want things stable). Seems stable now and fast (alt tab etc) too. I do wish this gets fixed though.

summary: - X freeze, nvidia-current, Ubuntu 10.10 Maverick GeForce 9600GT
+ X freeze, nvidia-current, Ubuntu 11.04 Maverick GeForce 9600GT
roob85 (roob85) wrote :
Download full text (5.2 KiB)

I started experiencing this a day or two ago. I have a gtx260 and Im running ubuntu 11.04 x64 with nvidia drivers 270.41.06...Im unable to get a backtrace due to the computer locking up tight(cannot ssh in or anything) so I ssh'ed into the machine from a server and ran tail on a few log files and waited for it happen again...here is what it caught up until it completely locked up tight:

tail -f /var/log/syslog
Sep 7 01:52:08 Zero init: ureadahead-other main process (1624) terminated with status 4
Sep 7 01:52:08 Zero init: ureadahead-other main process (1625) terminated with status 4
Sep 7 01:52:10 Zero kernel: [ 35.070026] eth0: no IPv6 routers present
Sep 7 01:52:17 Zero ntpdate[1562]: adjust time server 91.189.94.4 offset 0.274943 sec
Sep 7 01:52:32 Zero rtkit-daemon[1434]: Successfully made thread 1719 of process 1719 (n/a) owned by '1001' high priority at nice level -11.
Sep 7 01:52:32 Zero rtkit-daemon[1434]: Supervising 4 threads of 2 processes of 2 users.
Sep 7 01:52:33 Zero rtkit-daemon[1434]: Successfully made thread 1796 of process 1719 (n/a) owned by '1001' RT at priority 5.
Sep 7 01:52:33 Zero rtkit-daemon[1434]: Supervising 5 threads of 2 processes of 2 users.
Sep 7 01:52:33 Zero rtkit-daemon[1434]: Successfully made thread 1797 of process 1719 (n/a) owned by '1001' RT at priority 5.
Sep 7 01:52:33 Zero rtkit-daemon[1434]: Supervising 6 threads of 2 processes of 2 users.
Sep 7 02:00:55 Zero lircd-0.8.7[772]: accepted new client on /var/run/lirc/lircd
Sep 7 02:00:59 Zero lircd-0.8.7[772]: removed client
Sep 7 02:01:13 Zero lircd-0.8.7[772]: accepted new client on /var/run/lirc/lircd
Sep 7 02:01:50 Zero kernel: [ 614.973381] NVRM: Xid (0000:01:00): 56, CMDre 00000001 00000094 bfef0c11 00000007 00000000
Sep 7 02:01:50 Zero kernel: [ 614.974025] NVRM: Xid (0000:01:00): 56, CMDre 00000001 000000c0 bfef0f00 00000007 00000000
Sep 7 02:01:57 Zero kernel: [ 622.350029] NVRM: Xid (0000:01:00): 16, Head 00000001 Count 00000000
Sep 7 02:01:58 Zero kernel: [ 623.350034] NVRM: Xid (0000:01:00): 16, Head 00000000 Count 0000fe39
Sep 7 02:02:03 Zero kernel: [ 628.350066] NVRM: os_schedule: Attempted to yield the CPU while in atomic or interrupt context
Sep 7 02:02:03 Zero kernel: [ 628.350137] NVRM: Xid (0000:01:00): 8, Channel 0000007f
Write failed: Broken pipe

tail -f /var/log/Xorg.0.log
[ 24.984] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 24.984] (**) AT Translated Set 2 keyboard: always reports core events
[ 24.984] (**) AT Translated Set 2 keyboard: Device: "/dev/input/event2"
[ 25.020] (--) AT Translated Set 2 keyboard: Found keys
[ 25.020] (II) AT Translated Set 2 keyboard: Configuring as keyboard
[ 25.020] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input2/event2"
[ 25.020] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD)
[ 25.020] (**) Option "xkb_rules" "evdev"
[ 25.020] (**) Option "xkb_model" "pc105"
[ 25.020] (**) Option "xkb_layout" "us"
[ 617.994] (WW) NVIDIA(0): WAIT (2, 6, 0x8000, 0xdfff2fff, 0x00005c68)
[ 628.350] (WW) NVIDIA(0): WAIT (1, 6, 0x8000, 0xdfff2fff, 0x00005c68)
[ 628.35...

Read more...

cosmos (alantonop) wrote :

Same problem here. No logs to share though,i have a clean install using nouveau drivers for a while in order for my computer to be usable. Kubuntu with nvidia geforce 210
2.6.38-11-generic x86_64

Same problem and architecture as everyone else above (AMD 64bit processor, Nvidia proprietary drivers, Ubuntu 11.04 64-bit).

Changed in nvidia-graphics-drivers (Ubuntu):
status: Incomplete → Confirmed

Changed bug status to confirmed since it affects at least 10 people.

I am running 11.10 right now with the default nouveau drivers. Unity works (11.10 doesn't need 3D apparently) . Everything stable. I don't need the nvidia proprietary drivers anymore. Yippeeee!

Kernel: 3.0.0-12-generic-pae
Graphics: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1

Rocko (rockorequin) wrote :

This bug still occurs with the nvidia 290.03 beta driver and kernel 3.1-rc10 amd64 in Oneiric. I have seen Xid 13 and 39 in the syslog and I also usually get the "attempted to yield the CPU while atomic" message.

There have been reports in the nvidia forums about this for months and months now but with no attention from nvidia.

leo (leo-leo-sa) wrote :

I was constantly having this same bug: oneiric would crash and the logs would state that the GPU has fallen off the bus. What I did as a workaround was to issue the following command:

nvidia-smi -pm 1

What this does is it turns on the nvidia's driver persistence mode. However, you have to do this every time the machine is rebooted. I have put this command on my rc.d.

My theory is that the nvidia driver deactivates itself for some reason, either to save power or to switch performance modes. When this happens and X is running, there is temporarily no hardware associated with the PCI bus. X tries to write to it, finds no driver, and then it freezes.

ziouzitsou (christou) wrote :

Hi leo,
Persistence mode off didn't worked for me. Here is my situation https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/890793
It looks like everything started when upgraded from 11.04 to 11.10 (I did also fresh install).

No more ideas left...

hirumono (hirumono) wrote :

Hi,
I think X freezes with nVidia cards on multiple-core systems have been a major pain for Linux users for a long time. My troubles began in 2008 on Ubuntu "Gutsy Gibbon", when I upgraded my system to a dual-core Athlon64 X2. At the moment I'm living (not too happily) with an ATi 3450 HD, which behaves horribly in Compiz but, at least, doesn't freeze my system. Guess you don't make a great bargain when you migrate to Linux for stability and you find out that a video driver makes it even worse than in Windows! ;)
Back then, I reported the bug here:

https://bugs.launchpad.net/ubuntu/+source/linux-restricted-modules-2.6.24/+bug/151382

As I said there, I believe my problems stemmed from dual-core kernel CPU switching, coupled with nVidia drivers trying to distribute GPU load over multiple CPUs. In post #21 I reported that looking around over the net, I had found a way to reduce (not eliminate, though) the problem, thanks to this command:

echo 1 > /sys/devices/system/cpu/sched_mc_power_savings

(you must be super-user to issue it)

It would be interesting to see if it can help with today's kernels, too. I have no more my old nVidia card, but if someone wants to try it, there's the more correct way that Martin Zuther suggested in reply to my post:

"There is however an easier way to achieve it - just start your system, open the terminal and type:

echo 1 | sudo tee /sys/devices/system/cpu/sched_mc_power_savings

You can verify that it works with "cat /sys/devices/system/cpu/sched_mc_power_savings" "

Hope it helps find the reason of this sneaky bug!

thedanyes (thedanyes) wrote :

I have this problem too. With:

Ubuntu 11.10 64-bit
3.0.0-16-generic #28-Ubuntu SMP Fri Jan 27 17:44:39 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
nvidia blob 295.20 (replicated problem with many earlier versions too)
Intel DH55TC MB
nVidia reference GTS 450 Video Card
Creative Audigy2 ZS PCI

Nouveau is stable.

Here is a kern.log listings from when it's happened and I actually let it run for awhile, thinking it might 'unlock' eventually:

kernel: [21759.121525] hrtimer: interrupt took 144362867 ns
kernel: [21759.121527] NVRM: GPU at 0000:01:00.0 has fallen off the bus.
kernel: [21759.313534] NVRM: GPU at 0000:01:00.0 has fallen off the bus.
kernel: [21831.211961] INFO: rcu_sched_state detected stall on CPU 1 (t=15000 jiffies)
kernel: [22010.881594] INFO: rcu_sched_state detected stall on CPU 1 (t=60030 jiffies)
kernel: [22190.551228] INFO: rcu_sched_state detected stall on CPU 1 (t=105060 jiffies)
kernel: [22370.220861] INFO: rcu_sched_state detected stall on CPU 1 (t=150090 jiffies)
... (cut out some more 'stall on CPU 1' entries)
kernel: [38001.478962] INFO: rcu_sched_state detected stall on CPU 1 (t=4067700 jiffies)
kernel: [38181.148595] INFO: rcu_sched_state detected stall on CPU 1 (t=4112730 jiffies)
kernel: [38360.818229] INFO: rcu_sched_state detected stall on CPU 1 (t=4157760 jiffies)

Other times it's happened, I have not received the hrtimer message before hand, and I haven't waited long enough to get the stall on CPU 1 messages.

I've just now set the 'Persistent mode' as discussed in entry #70 on this bug ticket. I'll see if that helps.

thedanyes (thedanyes) wrote :

Persistent mode doesn't seem to help. It just crashed again.

kernel: [84121.822407] NVRM: GPU at 0000:01:00.0 has fallen off the bus.
kernel: [84123.718369] irq 16: nobody cared (try booting with the "irqpoll" option)
kernel: [84123.718378] Pid: 0, comm: swapper Tainted: P C 3.0.0-16-generic #28-Ubuntu
kernel: [84123.718382] Call Trace:
Ma

Aaron Plattner (aplattner) wrote :

Anoop, these symptoms sound very much like a hardware problem that causes the GPU to sometimes lose contact with the rest of the system. Please make sure your case is free of dust and that the fans are unobstructed, that all connectors are seated firmly, and that your power supply has a sufficiently high power rating. If you still experience the problem, please try running nvidia-settings and selecting the "Thermal Settings" tab to monitor the GPU temperature to see whether it's unreasonably high when the errors occur. Finally, if you have a different GPU you could try in the same system, you could tell if the one you're using is simply damaged. Moving the GPU to a different slot, if one is available, might also help.

Rocko (rockorequin) wrote :

@Aaron: do you by any chance know of documentation that describes the Xid errors from the nvidia driver? It seems that many people have the driver crash with a Xid 13 error (and subsequently the GPU falls off the bus, which crashes the kernel and requires a hard reset), but I can't find (ie google) any description of what this means. In my case, I'm pretty sure it's not a hardware problem as it doesn't occur with many 3d applications (ie games) but some apps reliably trigger it.

Maxim Kalinin (kalinin-maxim) wrote :

Hello Aaron,

Thanks for taking the time to comment on the issue.
In my case it does seem like a hardware problem, because the driver crashes in Windows 7 as well. (It doesn't hang, however Windows keeps saying that 'nvidia driver crashed and was restored'.) I can't tell whether the symptoms are the same though, because I don't use Windows that much and don't know where to find nvidia logs there.

Besides, sometimes after the crash I have to turn off my laptop for several minutes, otherwise it repeats right after reboot. (Both in Ubuntu and Windows.)

However, after I changed PowerMizer mode to 'Prefer Maximum Performance' in nvidia-settings in Ubuntu, the issue disappeared completely. (I changed it back to 'Adaptive' since then, because the fan was a little bit too noisy.) Besides, now it happens less frequently (because of new kernel version?) So it seems that even if it's a hardware issue, it's triggered by nvidia driver.

I can't check nouveau, because it doesn't support my GPU (GeForce GT 555M). And the temperature was the first thing I looked into, it's not a problem.

Aaron Plattner (aplattner) wrote :

No, the Xid messages are not documented, they're internal error codes to help us with debugging. In Anoop's case, all they really mean is that the driver stopped hearing from the graphics card suddenly and was unable to restore communications with it.

Rocko (rockorequin) wrote :

@Aaron: Thanks for the feedback. Is there a way to help with debugging? I submitted bug reports to the nvidia forums on two occasions (http://www.nvnews.net/vbulletin/showthread.php?t=167848#post2495268 from October and http://www.nvnews.net/vbulletin/showthread.php?t=163468#post2444989 from June), but I don't think anyone from nvidia has seen them, and for me the latest 295.20 driver on xserver 1.11 is much worse - I used to be able to reduce the frequency of crashes by using renice, but this no longer works.

thedanyes (thedanyes) wrote :

This problem was fixed for me by updating my motherboard's firmware.

wxwok (xuewen-ok) wrote :

I found this problem is caused by both flash and unity. When I disabled flash and logined to gnome-no-effect, the issue never occurred.
The other flash problem is that when playing flash video in chrome browser, I can see some pieces of video playing at the background in other window when the window overlay on the flash. That window's foreground can be showed on the flash video.

Vincent Gerris (vgerris) wrote :

I have this issue on a laptop with Nvidia GT9650 .
It is possibly a video card hardware issue, but I am unsure.
I read on a post that some people were not having issues when in the nvidia x settings app, under PomerMizer, the Preferred Mode is set to Prefer Maximum Performance.

If anyone has a definitive answer on wether this is a hardware issue, please post here

I have being using ubuntu with my machine since 2010 , I had no problem before, then without any configuration change it started happening. It happens at least once a day while watching flash videos with google chrome. it freezes completely.

I keep my system updated all the time, I always use suspend to turn my machine off.

I had similar problems with 12.04, maybe you should check

cat /proc/driver/nvidia/warnings/

for possible warnings of nvidia driver.

Rocko (rockorequin) wrote :

For me, the nvidia drivers have been getting progressively more likely to crash with each release. 304.43 is the worst nvidia driver yet. It used to be only one 3d app that reliably crashed it, but now it crashes quickly even with 3d apps that ran OK with previous versions of the driver. And despite the fact that I reported this bug to the nvidia forums over a year ago and the fact that many other people also experience it, nvidia have not paid the slightest attention. (That's why closed source can suck.)

I'm sure it's not a hardware problem because I can run the same apps under windoze without the driver crashing (although I do have a much older version of the driver on windoze - I tried to install a newer version but the nvidia installer repeatedly crashed, go figure!).

And /proc/driver/nvidia/warnings/ is empty, so the driver thinks nothing is wrong. But the usual Xid errors, 'attempted to yield the CPU while in atomic context', and 'GPU has fallen off the bus' errors keep appearing in the syslog when it crashes.

Ben Jordan (bjordan555) wrote :

I have been able to isolate my "fallen off the bus" errors, and their related X lockups to only Ubuntu (not 2D but "3D") sessions. I have enabled persistence mode on the Nvidia drivers, and am running 295.49. Any ideas on why this only occurs in non-2D sessions? Compiz? The errors also seem to be more frequent the more I load up the GPUs.

Rocko (rockorequin) wrote :

I have found that the 304.51 driver mostly fixes the issue for me, unless I run the 3d application from a btrfs partition (which does seem odd, but there you go).

This bug is killing me. It started around 11.04 and is still present in 12.04 for me. I'm running the binary nVidia driver (Machine has a Quadro FX1600m). Something seems to have changed as recently this has started dumping my session (Cinnamon 2D) out to login rather than just locking the machine solid.

It used to be that only the Second Life (SL) viewers were affected by this (I use the firestorm viewer that can be downloaded from http://www.phoenixviewer.com). A curiosity is that the screen generally flashes to black before it crashes and returns with textures from other windows (like title bars) baked into the 3D environment within Second Life. When you quit Second Life, it save a copy of your current view as the "last location" photo. If I quit before it crashes while the stolen textures are on the screen, they are saved as part of the photo. This might have various implications.

Unfortunately, the change isn't all positive as now (since 12.04) the lockups are happening when using normal desktop apps instead of just Second Life. This is happening on a daily basis and is becoming very annoying. I tried installing Fedora 17 on my other HD and it seemed to run fine without this problem.

Another strangeness which I don't know if it relaed is that since 11.04, my Second Life frame rate is going down. If I run it in Ubuntu, I get <10 FPS (often <1 FPS) but when I tried Mint Maya Cinnamon I get 25FPS. In Ubuntu, I tried Unity, Unity 2D, Gnome, XFCE and LXDE with only LXDE producing vaguely acceptable frame rates.

This makes me ask the question "What is it that has changed on Ubuntu that is common to Unity, Gnome and XFCE but isn't in LXDE?"

I got the following dmesg from the lockup I just had:

[28068.719328] NVRM: Xid (0000:01:00): 6, PE0001
[28088.780505] ecryptfs_decrypt_page: Error attempting to read lower page; rc = [-4]
[28088.780509] ecryptfs_readpage: Error decrypting page; rc = [-4]
[28107.454335] delay: estimated 133, actual 0

I use an encrypted home folder and swap. Could this be somethign stupid like a bad block in my swap file or home where the SL cache is stored?

Thanks.

I think this may be an nVidia issue. I just got the beta update to 304.48 of the nVidia binary blob and the lockups have suddenly stopped on my system. The FPS in Second Life has gone up to around 10 (better than the 0.7 at worst)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers